Subject: Re: handling bytes not part of the charset, and other garbage

From: Vincent Lefevre <[email-masked]>
Date: Fri, 12 Sep 2014 02:36:59 +0200

On 2014-09-11 09:22:49 -0700, Paul Eggert wrote:
> Vincent Lefevre wrote:
> 
> >There's no reason that '.' matches something that doesn't belong to
> >the charset in C locale, but doesn't match in a UTF-8 locale.
> 
> In the C locale on GNU/Linux, all byte values are members of the charset.

I don't see any valid reason for that (the C locale corresponds
to ANSI_X3.4-1968, which is 7-bit only, so that there is some
inconsistency), except that it could be seen as more practical.
But then, I would say that this should be the same for invalid
byte sequences in a UTF-8 locale.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)